/*Calcul d'une structure en nid d'abeille en NiTi
/KERGOURLAY Erwan
/09.12.2013
/creation de la structure en nid d'abeille en NiTi
*/

lc1 = 10;//densité du maillage

// paramètres de la cellule de base
//Geometry.CopyMeshingMethod = 1; //copie du maillage, mais uniquement avec des transfinite ou non structuré
Geometry.AutoCoherence = 0; //Permet d avoir deux points avec les mêmes coordonnées

L = 3.;//ne pas modifier dans le fichier.geo mais dans le fichier .pl
e= 0.1;//ne pas modifier dans le fichier.geo mais dans le fichier .pl
h=1.0;
nb_couche_epaisseur=1;
nb_couche_extremite=1;
nb_couche_embase=3;
nb_couche_milieu=10; //10,15,20,25,30
nb_couche_profondeur=2; //1,2,3,4,5,6,7,8,10,12,15,20

/*Creation de la gémotrie & Creation des segments & Creation des contours*/
//Creation du premier quart de cellule
 Point(1) = {0, 0, 0, lc1};
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{1}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{2}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{3}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{4}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{4}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{6}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{7}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{8}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{9}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{9}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{11}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{12}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{13}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{14}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{15}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{16}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{16}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{18}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{19}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{20}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{21}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{21}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{23}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{24}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{25}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{26}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{27}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{28}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{28}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{30}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{31}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{32}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{33}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{33}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{35}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{36}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{37}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{38}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{39}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{40}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{40}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{42}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{43}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{44}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{45}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{45}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{47}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{48}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
 Point(101) = {0, 5.39615242270663, 0, lc1};
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{101}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{102}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{103}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{104}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{104}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{106}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{107}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{108}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{109}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{109}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{111}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{112}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{113}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{114}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{115}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{116}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{116}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{118}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{119}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{120}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{121}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{121}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{123}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{124}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{125}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{126}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{127}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{128}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{128}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{130}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{131}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{132}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{133}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{133}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{135}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{136}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{137}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{138}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{139}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{140}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{140}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{142}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{143}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{144}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{145}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{145}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{147}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{148}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
 Point(201) = {0, 10.7923048454133, 0, lc1};
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{201}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{202}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{203}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{204}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{204}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{206}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{207}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{208}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{209}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{209}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{211}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{212}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{213}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{214}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{215}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{216}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{216}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{218}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{219}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{220}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{221}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{221}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{223}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{224}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{225}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{226}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{227}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{228}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{228}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{230}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{231}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{232}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{233}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{233}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{235}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{236}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{237}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{238}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{239}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{240}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{240}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{242}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{243}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{244}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{245}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{245}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{247}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{248}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
 Point(301) = {0, 16.1884572681199, 0, lc1};
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{301}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{302}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{303}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{304}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{304}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{306}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{307}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{308}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{309}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{309}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{311}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{312}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{313}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{314}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{315}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{316}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{316}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{318}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{319}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{320}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{321}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{321}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{323}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{324}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{325}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{326}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{327}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{328}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{328}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{330}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{331}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{332}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{333}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{333}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{335}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{336}; Layers{nb_couche_embase};Recombine;
	}

//Creation du premier quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{337}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{338}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{339}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {-(L-e/2.)+(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{340}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{340}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{342}; Layers{nb_couche_embase};Recombine;
	}
//Creation du second quart de cellule
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{343}; Layers{nb_couche_embase};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{344}; Layers{2};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), Sqrt(3.)/2.*L+e, 0} {
	Point{345}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {L-e/2.-(L/2.-2*e/2), -Sqrt(3.)/2.*L-e, 0} {
	Point{345}; Layers{nb_couche_milieu};Recombine;
	}
	Extrude {2*L/nb_couche_milieu, 0, 0} {
	Point{347}; Layers{2};Recombine;
	}
	Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
	Point{348}; Layers{nb_couche_embase};Recombine;
	}

//Creation des lignes pour finir la géométrie en haut
 Point(401) = {0, 21.5846096908265, 0, lc1};
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{401}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{402}; Layers{2};Recombine;
		}
 Point(405) = {3*(3/2-0.1/2)+2*(3/2+0.1/2), 21.5846096908265, 0, lc1};
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{405}; Layers{2};Recombine;
		}
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{406}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{407}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{408}; Layers{2};Recombine;
		}

 Point(415) = {7*(3/2-0.1/2)+4*(3/2+0.1/2), 21.5846096908265, 0, lc1};
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{415}; Layers{2};Recombine;
		}
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{416}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{417}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{418}; Layers{2};Recombine;
		}

 Point(420) = {11*(3/2-0.1/2)+6*(3/2+0.1/2), 21.5846096908265, 0, lc1};
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{420}; Layers{2};Recombine;
		}
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{421}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{422}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{423}; Layers{2};Recombine;
		}

 Point(425) = {15*(3/2-0.1/2)+8*(3/2+0.1/2), 21.5846096908265, 0, lc1};
		Extrude {L/2-e/2.-2*L/nb_couche_milieu, 0, 0} {
		Point{425}; Layers{nb_couche_embase};Recombine;
		}
		Extrude {2*L/nb_couche_milieu, 0, 0} {
		Point{426}; Layers{2};Recombine;
		}

 /*Extrusion des lignes*/
	Extrude {0, 0, h} {
  	Line{208, 207, 206, 205, 204, 203, 202, 201, 200, 199, 198, 197, 196, 195, 194, 193, 192, 191, 190, 189, 188, 187, 186, 185, 184, 183, 182, 181, 180, 179, 178, 177, 176, 175, 174, 173, 172, 171, 170, 169, 168, 167, 166, 165, 164, 163, 162, 161, 160, 159, 158, 157, 156, 155, 154, 153, 152, 151, 150, 149, 148, 147, 146, 145, 144, 143, 142, 141, 140, 139, 138, 137, 136, 135, 134, 133, 132, 131, 130, 129, 128, 127, 126, 125, 124, 123, 122, 121, 120, 119, 118, 117, 116, 115, 114, 113, 112, 111, 110, 109, 108, 107, 106, 105, 104, 103, 102, 101, 100, 99, 98, 97, 96, 95, 94, 93, 92, 91, 90, 89, 88, 87, 86, 85, 84, 83, 82, 81, 80, 79, 78, 77, 76, 75, 74, 73, 72, 71, 70, 69, 68, 67, 66, 65, 64, 63, 62, 61, 60, 59, 58, 57, 56, 55, 54, 53, 52, 51, 50, 49, 48, 47, 46, 45, 44, 43, 42, 41, 40, 39, 38, 37, 36, 35, 34, 33, 32, 31, 30, 29, 28, 27, 26, 25, 24, 23, 22, 21, 20, 19, 18, 17, 16, 15, 14, 13, 12, 11, 10, 9, 8, 7, 6, 5, 4, 3, 2, 1}; Layers{nb_couche_profondeur};
	}